Module org.jfree.chart3d
Package org.jfree.chart3d

# Enum Class Orientation

java.lang.Object
java.lang.Enum<Orientation>
org.jfree.chart3d.Orientation

All Implemented Interfaces:
  `Serializable`, `Comparable<Orientation>`, `Constable`

public enum Orientation extends Enum<Orientation>
General enumeration of orientations. One application for this is to specify whether the legend should be created for a vertical or horizontal layout.

Since:
  1.1

## Nested Class Summary

## Nested classes/interfaces inherited from class java.lang.Enum

`Enum.EnumDesc<E extends Enum<E>>`

## Enum Constant Summary

Enum Constants
Enum Constant
Description
`HORIZONTAL`
Horizontal orientation.
`VERTICAL`
Vertical orientation.

## Method Summary

Modifier and Type
Method
Description
`static Orientation`
`valueOf(String name)`
Returns the enum constant of this class with the specified name.
`static Orientation[]`
`values()`
Returns an array containing the constants of this enum class, in the order they are declared.

### Methods inherited from class java.lang.Enum

`clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

## Enum Constant Details

### HORIZONTAL

public static final Orientation HORIZONTAL
Horizontal orientation.

### VERTICAL

public static final Orientation VERTICAL
Vertical orientation.

## Method Details

### values

public static Orientation[] values()
Returns an array containing the constants of this enum class, in the order they are declared.

Returns:
  an array containing the constants of this enum class, in the order they are declared

### valueOf

public static Orientation valueOf(String name)
Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum class has no constant with the specified name
  `NullPointerException` - if the argument is null